{{- if .Values.serviceMonitor.enabled }}
---
{{ template "common.ServiceMonitor" (list . "oauth2-proxy.ServiceMonitor") -}}
{{- end }}

{{- define "oauth2-proxy.ServiceMonitor" -}}
spec:
  endpoints:
    - port: metrics
{{- end }}
